## org.apache.lucene.xmlparser.builders
Class SpanBuilderBase

    java.lang.Object
      org.apache.lucene.xmlparser.builders.SpanBuilderBase

All Implemented Interfaces:
  SpanQueryBuilder, QueryBuilder

Direct Known Subclasses:
  BoostingTermBuilder, SpanFirstBuilder, SpanNearBuilder, SpanNotBuilder, SpanOrBuilder, SpanOrTermsBuilder, SpanTermBuilder

    public abstract class SpanBuilderBase

extends java.lang.Object
implements SpanQueryBuilder

Constructor Summary
`SpanBuilderBase()`

Method Summary
`org.apache.lucene.search.Query` `getQuery(org.w3c.dom.Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.lucene.xmlparser.builders.SpanQueryBuilder
`getSpanQuery`

Constructor Detail

### SpanBuilderBase

    public SpanBuilderBase()

Method Detail

### getQuery

    public org.apache.lucene.search.Query getQuery(org.w3c.dom.Element e)
                                            throws ParserException

  Specified by:
    `getQuery` in interface `QueryBuilder`
  Throws:
    `ParserException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.